Subject: Ticket Assigned - Delivery
From: Splash <[email-masked]>
To: [email-masked]
Date: Thu, 18 Mar 2021 03:43:40 +0000

Hi Juhi Goel,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Delivery Good morning, yesterday I had a very disturbing experience with the people who handle your deliveries, The person called me 3 times, twice between 18:27pm & 18:28 pm sadly during both those times and the 3rd time at 19:04, I couldn’t answer as I didn’t have my phone on me because I was busy being sick. 

However, the driver was reluctant to ring the bell like any civilized and respectful person in their right mind might do or simply leave and contact the support saying customer is not home so they are bringing the package back.

 But instead, maybe 20 minutes after the 3rd call he arrived to the house and was acting completely crazy, just pressing the bell 100 million times. Everyone within our household is very disturbed at the stress and anxiety this person has caused, it’s normal to ring the bell once or twice but to ring it non-stop? Does he not think that people other than the customer waiting for the order might be sleeping, or there might be senior people in the house that might get frightened by such actions?

I absolutely do not stand to be treated this way and will not stand for this person treating others this way, from my experience he must have if he thinks it’s ok to do it  and God forbid this guy thinks it’s ok to treat people like trash  and get away with it. 

I would like nothing more than an apology from this man for his crazy disgusting and disturbing behavior. https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2264960